package m05bSolicitudReserva_ValidacionEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bSolicitudReserva_Validacion;

/**
 * This is the Remote Interface for the Entity EJB <tt>M05SolicitudReserva_ValidacionEB</tt>.
 *
 * @see     m05.exe.SolicitudReserva_Validacion
 * @see     m05.exe.M05SolicitudReserva_ValidacionEBHome
 * @see     m05.exe.M05SolicitudReserva_ValidacionEBPK
 * @see     m05.exe.M05SolicitudReserva_ValidacionEBBean
 */

public interface m05SolicitudReserva_Validacion extends EJBObject {

  public Integer getIdSolicitud()throws RemoteException;
  public void setIdSolicitud(Integer n)throws RemoteException;

  public String getCodValidador()throws RemoteException;
  public void setCodValidador(String n)throws RemoteException;

  public String getFechaValidacion()throws RemoteException;
  public void setFechaValidacion(String n)throws RemoteException;

  public String getEstado()throws RemoteException;
  public void setEstado(String n)throws RemoteException;

  public String getMotivo()throws RemoteException;
  public void setMotivo(String n)throws RemoteException;
  
  public String getNotas()throws RemoteException;
  public void setNotas(String n)throws RemoteException;

  public String getObservaciones()throws RemoteException;
  public void setObservaciones(String n)throws RemoteException;
  
  public String getCodDestino()throws RemoteException;
  public void setCodDestino(String n)throws RemoteException;
  
  public String getDestinoOtros()throws RemoteException;
  public void setDestinoOtros(String n)throws RemoteException;

  public String getMailEnviado()throws RemoteException;
  public void setMailEnviado(String n)throws RemoteException;

  public String getDni()throws RemoteException;
  public void setDni(String n)throws RemoteException;
  
  public String getNombre_apellidos()throws RemoteException;
  public void setNombre_apellidos(String n)throws RemoteException;
  
  public String getOrigen()throws RemoteException;
  public void setOrigen(String n)throws RemoteException;
  
  public String getSituacion()throws RemoteException;
  public void setSituacion(String n)throws RemoteException;

  public String getValidacionPosterior()throws RemoteException;
  public void setValidacionPosterior(String n)throws RemoteException;


  /**
   * Returns the SolicitudReserva_Validacion information of this E-EJB.
   */
  public m05bSolicitudReserva_Validacion getSolicitudReserva_Validacion()
  	throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException
   *
   */
/*  public void setSolicitudReserva_Validacion(SolicitudReserva_Validacion SolicitudReserva_Validacion)
    throws RemoteException, Exception;    */
}